
Figure - Bug #118676
IOVDEV-32766【内部】【VC1】【0106】【台架】【EE环境】【副屏】【蓝牙】副屏在于蓝牙耳机设备进行
配对连接时，连接过程时间长，要多次搜索才能找到蓝牙耳机设备名称
2023-06-08 19:11 - CD TEST-方永红

Status: CLOSED Start date: 2023-06-08

Priority: Normal Due date:

Assignee: CD TEST-方永红 % Done: 0%

Category: LC Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: 106

Resolution: INVALID Degrated: --

Severity: Normal Verified Version:

Reproducibility: Every time Fixed Version:

Test Type: ST Root cause: Android原生行为，是正常现象。

Description

【环境信息】EE环境

【问题出现时间】：20230605 18：57

【前提条件】：副屏上电；中控、功放已连接；副屏、中控时间一致

【操作步骤】

1.点击开启副屏蓝牙

2.点击激活蓝牙耳机设备

3.进行配对连接

【实际结果】

1.要多次进入搜索界面才能找到蓝牙耳机设备

【期望结果】

1.打开耳机设备蓝牙短暂时间就会在副屏蓝牙搜索界面找到蓝牙耳机设备名称

【备注】：

偶现问题 10次大概1、2次

第278次开机

开机时长：4：12

蓝牙设备型号：安卓蓝牙耳机设备

日志、视频地址：https://ofs.human-horizons.com/#/download/index/45MHrk%2FwOwE%3D

中控VIN号：HRYTTESTVINMGM817

【中控版本号】：03.02.0088.c103.02_NO

【副屏版本号】：01.00.0106.c104

History

#1 - 2023-06-08 21:28 - CD FW-廖涛

- Category changed from CD-FW to LC

- Status changed from New to ASSIGNED

- Assignee changed from CD FW-廖涛 to CD LC 陶洪普
Hi, 洪普：

麻烦看下这个蓝牙搜索的问题。

#2 - 2023-06-09 15:44 - 短距组_SSRDCNJ 蒋俊杰

当前进展:

从HCI日志里可以看出，录屏的问题时间点存在2次inquiry的过程，Extended Inquiry Result中没有看到这个name为"i12"的蓝牙设备。检查搜索设备的流程是

正常的，其他的设备能够被很快搜索到，该设备不能被搜索到可能和设备本身有关

设备信息：0x34-9f-f4-45-0f-aa，i12

3,041    Command    0x0401    Inquiry                        5    9     00:00:00.000151    2023/6/5 18:57:27.154435    

3,042    Event    0x0401    Inquiry    Command Status    Success                4    7     00:00:00.000632    2023/6/5 18:57:27.155067    

3,199    Event            Extended Inquiry Result                    255    258     00:00:01.018689    2023/6/5 18:57:30.230834    

3,289    Event            Extended Inquiry Result                    255    258     00:00:00.292687    2023/6/5 18:57:31.166771

3,573    Event            Extended Inquiry Result                    255    258     00:00:00.868734    2023/6/5 18:57:38.032247    A

3,579    Event            Extended Inquiry Result                    255    258     00:00:01.298895    2023/6/5 18:57:39.333808    

3,585    Event            Inquiry Complete    Success                1    4     00:00:01.010083    2023/6/5 18:57:40.346273

下一步：

建议将耳机重启，然后在副屏侧重新发起搜索设备，看下设备能否能很快被找到并显示在列表中；

如果问题还是复现，建议找一台对比机看下能否搜索到这个name为"i12"的蓝牙耳机，排除耳机的问题

#3 - 2023-06-14 16:01 - CD LC 陶洪普

- Status changed from ASSIGNED to RESOLVED

- Assignee changed from CD LC 陶洪普 to CD TEST-方永红

- Resolution changed from -- to INVALID

- Root cause set to Android原生行为，是正常现象。

已更新到JIRA

#4 - 2023-07-04 14:05 - CD TEST-方永红

- Status changed from RESOLVED to VERIFIED

7.4

客户已关闭，同步关闭

#5 - 2023-07-04 14:05 - CD TEST-方永红

- Status changed from VERIFIED to CLOSED
